=== requirements.txt ===
--extra-index-url https://marcelotduarte.github.io/packages/

setuptools>=62.6,<70
wheel>=0.38.4
cx_Logging>=3.1 ;sys_platform == 'win32'
lief>=0.12.0,<=0.14.0 ;sys_platform == 'win32'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'x86_64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'i686'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'aarch64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'armv7l'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'ppc64le'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 's390x'
